import Vue from 'vue'

import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
import { getDicts } from "@/api/system/dict/data"
import "./utils/uni.css";
// 引入全局TuniaoUI
import TuniaoUI from 'tuniao-ui'
import VueCompositionAPI from '@vue/composition-api'
import share from './utils/share.js'  //注意路径是上一步新建文件的路径

Vue.use(VueCompositionAPI)
// 引入TuniaoUI提供的vuex简写方法
let vuexStore = require('@/store/$tn.mixin.js')
Vue.use(plugins)

Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.getDicts = getDicts
Vue.use(TuniaoUI)
Vue.mixin(vuexStore)
Vue.mixin(share)
App.mpType = 'app'

const app = new Vue({
  store,
  ...App
})

app.$mount()
